package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(im_group_member):
 */
public class ImGroupMember {

	/**  */
	private Long id;
	
	/**  */
	private Long imGroupId;
	
	/**  */
	private Integer userId;
	
	private String nickname;
	
	/** 是否是管理员 */
	private boolean isAdmin;
	
	/** 群角色 */
	private String roleType;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setImGroupId(Long imGroupId){
		this.imGroupId = imGroupId;
	}
	
	public Long getImGroupId(){
		return this.imGroupId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public String getNickname() {
		return nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public void setIsAdmin(boolean isAdmin){
		this.isAdmin = isAdmin;
	}
	
	public boolean getIsAdmin(){
		return this.isAdmin;
	}

	public String getRoleType() {
		return roleType;
	}

	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
